Page MenuHomeFreeBSD

Make security/py-crits use www/py-django16
ClosedPublic

Authored by dvl on Jun 26 2015, 5:08 PM.

Details

Summary

security/py-crits must use django v1.6 and will not work with v1.8
Two dependencies bring in www/py-django so I have created two new slave ports which
use www/py-django16

  • devel/py-django-tastypie-mongoengine allowed you to select django 1.6 or 1.8 in the options It now uses only 1.8
  • add slave port devel/py-django16-tastypie-mongoengine which uses django 1.6
  • www/py-django-tastypie now sets RUN_DEPENDS only if not already set
  • add slave www/py-django16-tastypie which uses django 1.6
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dvl updated this revision to Diff 6476.Jun 26 2015, 5:08 PM
dvl retitled this revision from to Make security/py-crits use www/py-django16.
dvl updated this object.
dvl edited the test plan for this revision. (Show Details)
dvl added reviewers: wg, mat.
wg edited edge metadata.Jun 28 2015, 9:25 PM

Looks good to me.

wg accepted this revision.Jun 28 2015, 9:25 PM
wg edited edge metadata.
This revision is now accepted and ready to land.Jun 28 2015, 9:25 PM
dvl added a comment.Jun 29 2015, 12:27 AM

I forgot to update the Makefiles.

dvl updated this revision to Diff 6530.Jun 29 2015, 12:31 AM
dvl edited edge metadata.

Update www and devel Makefiles for new ports

This revision now requires review to proceed.Jun 29 2015, 12:31 AM
dvl added a comment.Jun 29 2015, 12:34 AM

I was about to do this all as one commit, but that would rob the new ports of a 'Add X, insert description here' first commit.

mat edited edge metadata.Jun 29 2015, 8:22 AM
In D2913#57255, @dvl wrote:

I was about to do this all as one commit, but that would rob the new ports of a 'Add X, insert description here' first commit.

It's not really a new port, it's a subport, (which I think should be added using svn copy py-django-tastypie-mongoengine py-django16-tastypie-mongoengine and svn cp www/py-django-tastypie www/py-django16-tastypie removing the unneeded files), and if all this change is a whole, then it should go in as one commit.

www/py-django-tastypie/Makefile
18 ↗(On Diff #6530)

This is wrong, do not do that, it will not do what you think it will. If you need to assign the same thing to BUILD_DEPENDS and RUN_DEPENDS, create another variable and assign it to both (as per 5.8.2 of the Porter's Handbook)

www/py-django16-tastypie/Makefile
12 ↗(On Diff #6530)

Same here, do not assign BUILD_DEPENDS to RUN_DEPENDS, ever.

dvl updated this revision to Diff 6544.Jun 29 2015, 1:34 PM
dvl edited edge metadata.
  • do a better RUN_DEPENDS
  • specify the correct package names
dvl marked 2 inline comments as done.Jun 29 2015, 1:36 PM
dvl added inline comments.
security/py-crits/Makefile
50 ↗(On Diff #6544)

Fixed the package name...

mat added a comment.Jun 29 2015, 2:13 PM

Mmm, it really should have the same package name and directory name, django16-tastypie -> django-tastypie16 is not really good. django16-tastypie makes more sense as 16 is related to django, I don't know how the python ports bits work in order to achieve that though.

mat accepted this revision.Jun 30 2015, 1:56 PM
mat edited edge metadata.

Check that it works, and commit :-)

This revision is now accepted and ready to land.Jun 30 2015, 1:56 PM
dvl added a comment.Jun 30 2015, 1:57 PM
In D2913#57394, @mat wrote:

Mmm, it really should have the same package name and directory name, django16-tastypie -> django-tastypie16 is not really good. django16-tastypie makes more sense as 16 is related to django, I don't know how the python ports bits work in order to achieve that though.

After discussion on IRC, decided to proceed with this as is, then work on getting DEFAULT_VERSIONS implemented for django, which will fix this problem without using slave ports. The port directory != package name issue then disappears.

This revision was automatically updated to reflect the committed changes.